petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMLabelConvertToSection

Make a PetscSection/IS pair that encodes the label

### Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelConvertToSection(DMLabel label, PetscSection *section, IS *is)

Not collective

### Input Parameter

label -the DMLabel

### Output Parameters

| section | - the section giving offsets for each stratum
| is | - An IS containing all the label points

### See Also

DMLabelDistribute()

### Level

developer

### Location

src/dm/label/dmlabel.c
Index of all DMLABEL routines
Table of Contents for all manual pages
Index of all manual pages